Index: npl/syn3/webint/src/backup/syn3backup.php
===================================================================
--- npl/syn3/webint/src/backup/syn3backup.php	(revision 8b3c2d26c8ab7b961d65516c4546107dc7461532)
+++ npl/syn3/webint/src/backup/syn3backup.php	(revision 8ac1bcd371f824bcbd7d5072027f3efa5afbf957)
@@ -41,5 +41,5 @@
 function TestSmb($new_smbserver,$new_smbshare,$new_smbdomain,$new_smbuser,$new_smbpasswd)
 {
-	$ret=Cmd( "smbclient -c 'put /etc/HOSTNAME syn3test.txt ; rm syn3test.txt' -U '$new_smbuser' -W '$new_smbdomain' '//$new_smbserver/$new_smbshare' '$new_smbpasswd'", '', $out, $err );
+	$ret=Cmd( "smbclient -s /dev/null -c 'put /etc/HOSTNAME syn3test.txt ; rm syn3test.txt' -U '$new_smbuser' -W '$new_smbdomain' '//$new_smbserver/$new_smbshare' '$new_smbpasswd'", '', $out, $err );
 
 	if ($ret!=0 || $out)
Index: npl/syn3/webint/src/fetchmail/editaccount.php
===================================================================
--- npl/syn3/webint/src/fetchmail/editaccount.php	(revision 8b3c2d26c8ab7b961d65516c4546107dc7461532)
+++ npl/syn3/webint/src/fetchmail/editaccount.php	(revision 8ac1bcd371f824bcbd7d5072027f3efa5afbf957)
@@ -1,3 +1,3 @@
-<? 
+<?
 
 $LEVEL=10;
@@ -9,5 +9,5 @@
 Title(_EditAccount($_REQUEST[name]));
 
-Tip(_TipEditAcount()); 
+Tip(_TipEditAcount());
 
 //load current values
@@ -76,5 +76,5 @@
 
 <? FormStart($TITLE);?>
-	
+
 <table>
 <tr>
@@ -89,4 +89,5 @@
 	<td><?=_MailProtocol();?>
 	<td><?Select("new_proto",array("pop3"=>"POP3","imap"=>"IMAP"),$errors);?>
+	 <? InputCheckBox("new_ssl");?> SSL
 </tr>
 <tr>
@@ -95,5 +96,5 @@
 </tr>
 </table>
-	
+
 <p>
 <?InputCheckBox("new_keep");?>
@@ -104,5 +105,5 @@
 
 <?
-/* 
+/*
 (C) 2004-2013 DatuX - info@datux.nl
 
@@ -124,5 +125,5 @@
 	echo _UsedByMultipleUsers();
 	echo "<p>";
-	
+
 	if ($new_multidrop=='on')
 	{
@@ -137,5 +138,5 @@
 		InputText("new_to",$errors);
 	}
-?>	
+?>
 
 <p>
@@ -146,5 +147,5 @@
 
 <?
-/* 
+/*
 (C) 2004-2013 DatuX - info@datux.nl
 
@@ -165,5 +166,5 @@
 	if ($test)
 	{
-		
+
 		if ($test[ok])
 			echo "<h2>"._MailBoxTestOK()."</h2>";
@@ -176,3 +177,2 @@
 
 <? Foot(); ?>
-
Index: npl/syn3/webint/src/fetchmail/fm.php
===================================================================
--- npl/syn3/webint/src/fetchmail/fm.php	(revision 8b3c2d26c8ab7b961d65516c4546107dc7461532)
+++ npl/syn3/webint/src/fetchmail/fm.php	(revision 8ac1bcd371f824bcbd7d5072027f3efa5afbf957)
@@ -1,4 +1,4 @@
 <?
-/* 
+/*
 (C) 2004-2013 DatuX - info@datux.nl
 
@@ -24,5 +24,5 @@
 	//returns configfile for accountname
 	function fm_ConfFile($account)
-	{	
+	{
 		return (FM_CONFDIR."/$account");
 	}
@@ -48,5 +48,5 @@
 		$ret[out]=$out;
 		$ret[err]=$err;
-		return ($ret);	
+		return ($ret);
 	}*/
 
@@ -54,5 +54,5 @@
 	//the variables that are parsed and returned are defined in $vartypes.
 	//s=single value
-	//m=multiple values (stored in array)	
+	//m=multiple values (stored in array)
 	//k=keyword (value will be set to 1 if keyword is found)
 	function fm_Load($account)
@@ -65,4 +65,5 @@
 			"proto"		=>'s',
 			"keep"		=>'k',
+			"ssl"		=>'k',
 			"aka"		=>'m',
 			"smtpaddress"=>'s'
@@ -78,6 +79,6 @@
 			$varname=$matches[1];
 			$value=$matches[2];
-			
-			//strip quotes 
+
+			//strip quotes
 			$value=str_replace("'","",$value);
 			$type=$vartypes[$varname];
@@ -93,5 +94,5 @@
 					$ret[$varname]='on';
 					break;
-			}				
+			}
 		}
 		return ($ret);
@@ -102,5 +103,5 @@
 		$state=fm_GetState($account);
 		if ($state[pid])
-		{	
+		{
 			posix_kill($state[pid],9);
 			sleep(5);
@@ -124,5 +125,5 @@
  		$raw[]="server '$config[server]'";
  		$raw[]="timeout 30";
-		foreach ($config[aka] as $value)		
+		foreach ($config[aka] as $value)
 		{
 			if ($value)
@@ -135,4 +136,6 @@
 		if ($config[keep]=='on')
 			$raw[]="keep";
+		if ($config[ssl]=='on')
+			$raw[]="ssl";
 		//$raw[]="bsmtp -";
 		$raw[]="smtpaddress '$config[smtpaddress]'";
@@ -145,5 +148,5 @@
 	function fm_TestConfig($config)
 	{
-		$raw=fm_ConfigToRaw($config);		
+		$raw=fm_ConfigToRaw($config);
 
 		$tmp="/tmp/fetchmailtest";
@@ -156,5 +159,5 @@
 		$ret[out]=$out;
 		$ret[err]=$err;
-		return ($ret);	
+		return ($ret);
 	}
 
@@ -167,5 +170,5 @@
 		$filename=fm_ConfFile($account);
 
-		$raw=fm_ConfigToRaw($config);		
+		$raw=fm_ConfigToRaw($config);
 
 		FileWrite($filename,$raw);
@@ -192,5 +195,5 @@
 
 	//returns:
-	//[ok]=1 
+	//[ok]=1
 	//[msg] message
 	//[time] timestamp
@@ -201,8 +204,8 @@
 		if (
 			is_file($conffile.".out") &&
-			is_file($conffile.".err") && 
+			is_file($conffile.".err") &&
 			is_file($conffile.".code"))
 		{
-		
+
 			$code=FileReadRaw($conffile.".code");
 			$ret[ok]=(($code==1)||($code==0));
@@ -212,9 +215,9 @@
 				$msg=FileRead($conffile.".err");
 			$ret[msg]=implode("<br>",$msg);
-			
+
 			$stat=stat($conffile.".out");
 			$ret['time']=$stat[mtime];
 		}
-	
+
 		//is running?
 		$pid=file_get_contents("/tmp/fetchmail.pid");
@@ -226,9 +229,5 @@
     		$ret['pid']=$pid;
     	}
-		
-		return ($ret);
-	}
-
-    
-    
-
+
+		return ($ret);
+	}
Index: npl/syn3/webint/src/sessionlock.php
===================================================================
--- npl/syn3/webint/src/sessionlock.php	(revision 8b3c2d26c8ab7b961d65516c4546107dc7461532)
+++ npl/syn3/webint/src/sessionlock.php	(revision 8ac1bcd371f824bcbd7d5072027f3efa5afbf957)
@@ -1,4 +1,4 @@
 <?
-/* 
+/*
 (C) 2004-2013 DatuX - info@datux.nl
 
@@ -24,14 +24,14 @@
 		global $lock_fh;
 		global $lock_filename;
-		
+
 		flock($lock_fh, LOCK_UN);
-		fclose($lock_fh);	
-		
+		fclose($lock_fh);
+
 		//kill any remaining sub processes that still have our file open
-		`fuser -9 -k $lock_filename`;
+		`/usr/bin/fuser -9 -k $lock_filename`;
 
 		unlink($lock_filename);
 	}
-	
+
 	//in commandline mode we just use plain session starting...
 	if (!$_SERVER[argv])
@@ -46,17 +46,17 @@
 			$session_id=session_id();
 		}
-	
+
 		//determine lockfile for this session
 		//preg replace is for security!!
 		$lock_filename="/tmp/lock.".preg_replace("/^[a-f0-9]/","",$session_id);
-	
+
 
 		if ($_GET[lock_abort])
-		{
+		{ 
 			//kill processes that holds the lock
-			`fuser -9 -k $lock_filename`;
+			`/usr/bin/fuser -9 -k $lock_filename`;
 			Redirect(preg_replace("/lock_abort=1/","",$URI));
 		}
-		
+
 		//see if this session can be locked
 		$lock_fh = fopen($lock_filename, "w");
@@ -83,5 +83,5 @@
 				else
 					$abortURI="$URI?lock_abort=1";
-	
+
 				LinkButton(_AbortLockingProcess(),$abortURI);
 				echo "</tr>";
@@ -94,6 +94,6 @@
 			Redirect($URI);
 			exit;
-		} 
-		
+		}
+
 		register_shutdown_function ("removelock");
 
@@ -112,5 +112,5 @@
 		}
  	}
-	
+
 	session_start();
 ?>
Index: npl/syn3/webint/webint.build
===================================================================
--- npl/syn3/webint/webint.build	(revision 8b3c2d26c8ab7b961d65516c4546107dc7461532)
+++ npl/syn3/webint/webint.build	(revision 8ac1bcd371f824bcbd7d5072027f3efa5afbf957)
@@ -1,1 +1,1 @@
-6567
+6568
Index: npl/syn3/webint/webint.md5
===================================================================
--- npl/syn3/webint/webint.md5	(revision 8b3c2d26c8ab7b961d65516c4546107dc7461532)
+++ npl/syn3/webint/webint.md5	(revision 8ac1bcd371f824bcbd7d5072027f3efa5afbf957)
@@ -119,5 +119,5 @@
 44e1f535bed6e7f16e41d96abeba5f56  ./src/backup/startrestorefiles.php
 678555e8cf13f518a7377cd39824a64d  ./src/backup/startrestore.php
-f5f46a2712175be9659b2d227a6654f5  ./src/backup/syn3backup.php
+4ea6c1dfdd44a54c1454ec95b15f90f0  ./src/backup/syn3backup.php
 06540e48b49b2b69168ccda00e865e50  ./src/backup/wizardchoose.php
 818978bae75fd32160fbceb342002f2e  ./src/backup/wizardman.php
@@ -198,7 +198,7 @@
 3fb8ed50605a860855713f5836010ab4  ./src/examplemodule/wizardman.php
 0ae0ac074ec96d4184545b12ee335ae1  ./src/favicon.ico
-686325f0e39ea2b16992cca2c7805706  ./src/fetchmail/editaccount.php
+c1bb8926d59dfd15a54f5595f04fb723  ./src/fetchmail/editaccount.php
 31fa0cae2724ac5f4b4e0cbb1201dc52  ./src/fetchmail/fetchmail.sh
-fef605062944dc1cad3f4bd87d015979  ./src/fetchmail/fm.php
+ab8fc96fe04ad052ddd1e18c822779ec  ./src/fetchmail/fm.php
 ba743fea268407f080bca4e306748493  ./src/fetchmail/lang_deD.php
 5f73887c0948c07cc2c612407926dac4  ./src/fetchmail/lang_de.php
@@ -1000,5 +1000,5 @@
 840b923c6832539ffa374ab1b5bfd04c  ./src/services/svcman.php
 3fb6f3f7eea029703cb956069bf7ee2b  ./src/services/svc.php
-cc7c71e5ca6a42047cd1a006437de0f4  ./src/sessionlock.php
+963a714155112f9d49a6715cd7c39e73  ./src/sessionlock.php
 27e9f8953c42935fd49355d38ff01215  ./src/settings/lang_deD.php
 1667ffca522a9b7710d9c0abd8bc6f95  ./src/settings/lang_de.php
@@ -1160,6 +1160,6 @@
 3d8b121024940b3004ca67bacb88b74e  ./updatelang.sh
 e15c0d77cf349ff3f2c55bf1b48ea567  ./upload.sh
-42fbe1c601c88923318f610cb2319f58  ./webint.pkg
+f01bce7a60941ecf82a53039a6c807d5  ./webint.pkg
 05d46c478b4e8c14eafeb686a5b8c064  ./webint.SlackBuild
-3db1ee2be91a49d10c7479486b5fb458  ./webint.SlackBuild.log.gz
+d552136d85965a50bcf591ebdfa035a7  ./webint.SlackBuild.log.gz
 693ffd7c59a1fe2b34276bec14f3ebfb  ./zones.conf
